Bug 346281 - [5.2] Disk cannot be attached by using virsh attach-disk.
[5.2] Disk cannot be attached by using virsh attach-disk.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 02:31 EDT by Masayuki Sunou
Modified: 2009-12-14 16:23 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0291
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masayuki Sunou 2007-10-23 02:31:24 EDT
Description of problem:
Virsh attach-disk fails when the disk is attached to the domain.
And error message displays that device_configure() failed.
  # virsh attach-disk PV_RH51RC_12 /dev/hda8 xvdb --driver phy
  libvir: Xen Daemon error : POST operation failed: (xend.err'device_configure
() takes exactly 2 arguments (3 given)')

Version-Release number of selected component (if applicable):
Revision of ChangeLog is '1.778'

How reproducible:
always

Steps to Reproduce:
1. Start a domain
   # virsh start 
2. Attach a disk by virsh attach-disk. 
   # virsh attach-disk PV_RH51RC_12 /dev/hda8 xvdb --driver phy

Actual results:
Virsh attach-disk fails 

Expected results:
Disk is attached to domain.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-26 10:34:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Daniel Veillard 2007-11-06 08:30:26 EST
Patch applied upstream:

https://www.redhat.com/archives/libvir-list/2007-November/msg00028.html

Daniel
Comment 4 Daniel Veillard 2007-12-11 10:12:09 EST
libvirt-0.3.3-1.el5 has been built in dist-5E-qu-candidate with the fix
 
Daniel
Comment 7 errata-xmlrpc 2008-05-21 12:47:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0291.html

Note You need to log in before you can comment on or make changes to this bug.